### Signal

# Hinawa FwNode::bus-update

since: 1.4

#### Declaration

    void
    bus_update (
      HinawaFwNode* self,
      gpointer user_data
    )

#### Description [src]

Emitted when IEEE 1394 bus is updated. Handlers can read current generation in the bus via `HinawaFwNode:generation` property.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.4